[![PyFlux](http://pyflux.com/pyflux.png)](http://www.pyflux.com/)

# PyFlux

[![Join the chat at https://gitter.im/RJT1990/pyflux](https://badges.gitter.im/RJT1990/pyflux.svg)](https://gitter.im/RJT1990/pyflux?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)
[![PyPI version](https://badge.fury.io/py/pyflux.svg)](https://badge.fury.io/py/pyflux)

PyFlux is an open source time series library for the Python programming language. Built upon the NumPy/SciPy/Pandas libraries, PyFlux allows for easy application of a vast array of time series methods and inference capabilities.

See some examples and documentation at [PyFlux.com](http://www.pyflux.com/).

## Models

- [ARIMA models](http://www.pyflux.com/notebooks/ARIMA.html)
- [GARCH models](http://www.pyflux.com/notebooks/GARCH.html)
- [GAS models](http://www.pyflux.com/notebooks/GAS.html)
- [GP-NARX models](http://www.pyflux.com/notebooks/GPNARX.html)
- [Gaussian State Space models](http://www.pyflux.com/notebooks/GaussianStateSpace.html)
- [Non-Gaussian State Space models](http://www.pyflux.com/notebooks/NonGaussianStateSpace.html)
- [VAR models](http://www.pyflux.com/notebooks/VAR.html)

## Inference

- [Black Box Variational Inference](http://www.pyflux.com/notebooks/BBVI.html)
- [Laplace Approximation](http://www.pyflux.com/notebooks/Laplace.html)
- [Maximum Likelihood](http://www.pyflux.com/notebooks/MLE.html) and [Maximum a posteriori](http://www.pyflux.com/notebooks/MAP.html)
- [Metropolis-Hastings](http://www.pyflux.com/notebooks/MetropolisHastings.html)

## Installing PyFlux

'''
pip install pyflux
'''

## Python Version

PyFlux is currently supported on Python 2.7. 3.5 support will be released in the near future.
